#include <stdio.h>

int main(int argc,char *argv[])
{
    FILE *toOpen,*tmp;
    int buffer;

    if(argc!=2)
    {
        printf("Usage:\n");
        printf("    KillTab Filename\n");
        return 1;
    }

    if((toOpen=fopen(argv[1],"rb"))==NULL)
    {
        printf("Error open input file.\n");
        return 1;
    }

    if((tmp=fopen("%%tmp%%.000","wb"))==NULL)
    {
        printf("Error open temp file.\n");
        return 1;
    }

    buffer=fgetc(toOpen);

    while(buffer!=EOF)
    {
        switch(buffer)
        {
        case 9:
            fprintf(tmp,"    ");
            break;
        case 10:
            fputc(13,tmp);
            fputc(10,tmp);
            break;
        case 13:
            break;
        default:
            fputc(buffer,tmp);
        }

        buffer=fgetc(toOpen);
    }

    fclose(toOpen);
    fclose(tmp);

    if((toOpen=fopen("%%tmp%%.000","rb"))==NULL)
    {
        printf("Error open temp file.\n");
        return 1;
    }

    if((tmp=fopen(argv[1],"wb"))==NULL)
    {
        printf("Error open output file.\n");
        return 1;
    }

    buffer=fgetc(toOpen);

    while(buffer!=EOF)
    {
        fputc(buffer,tmp);
        buffer=fgetc(toOpen);
    }

    fclose(toOpen);
    fclose(tmp);

    remove("%%tmp%%.000");

    return 0;
}
